Package io.papermc.paper.inventory

# Enum Class ItemRarity

java.lang.Object
java.lang.Enum<ItemRarity>
io.papermc.paper.inventory.ItemRarity

All Implemented Interfaces:
  `Serializable`, `Comparable<ItemRarity>`, `Constable`

public enum ItemRarity extends Enum<ItemRarity>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMON`
`EPIC`
`RARE`
`UNCOMMON`

## Method Summary

Modifier and Type
Method
Description
`@NotNull TextColor`
`getColor()`
Gets the color formatting associated with the rarity.
`static ItemRarity`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ItemRarity[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMON

public static final ItemRarity COMMON

### UNCOMMON

public static final ItemRarity UNCOMMON

### RARE

public static final ItemRarity RARE

### EPIC

public static final ItemRarity EPIC

## Method Details

### values

public static ItemRarity[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ItemRarity valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getColor

@NotNull public @NotNull TextColor getColor()
Gets the color formatting associated with the rarity.

Returns: